### Hierarchy

- Transport

### Implemented by

- JSONTransport
- SESTransport
- SMTPPool
- SMTPTransport
- SendmailTransport
- StreamTransport

## Index

### Properties

- mailer
- name
- version

### Methods

- close
- send
- verify

## Properties

### Optional mailer

mailer: Mail

- Defined in node_modules/@types/nodemailer/index.d.ts:27

### name

name: string

- Defined in node_modules/@types/nodemailer/index.d.ts:29

### version

version: string

- Defined in node_modules/@types/nodemailer/index.d.ts:30

## Methods

### Optional close

- close(): void

- - Defined in node_modules/@types/nodemailer/index.d.ts:37

  #### Returns void

### send

- send(mail: MailMessage, callback: function): void

- - Defined in node_modules/@types/nodemailer/index.d.ts:32

  #### Parameters

  - ##### mail: MailMessage

  - ##### callback: function

    - - (err: Error | null, info: SentMessageInfo): void

      - #### Parameters

        - ##### err: Error | null

        - ##### info: SentMessageInfo

        #### Returns void

### Optional verify

- verify(callback: function): void
- verify(): Promise<true>

- - Defined in node_modules/@types/nodemailer/index.d.ts:34

  #### Parameters

  - ##### callback: function

    - - (err: Error | null, success: true): void

      - #### Parameters

        - ##### err: Error | null

        - ##### success: true

        #### Returns void

- - Defined in node_modules/@types/nodemailer/index.d.ts:35

  #### Returns Promise<true>

Generated using TypeDoc